<?php

namespace SlotDb\Cli;

use GuzzleHttp\Client;
use SlotDb\Client\SlotDbClient;

class Application extends \Symfony\Component\Console\Application
{
    public function __construct()
    {
        parent::__construct("slotcli", "0.0.0");

        $psr = new Client();
        $client = new SlotDbClient($psr);

        $this->add(new Command\ImportCommand());
        $this->add(new Command\ExportCommand());
        
        $this->add(new Command\Slot\SlotQueryCommand($client));
        $this->add(new Command\Slot\SlotFindCommand($client));
        $this->add(new Command\Slot\SlotSetCommand($client));

        $this->add(new Command\Group\GroupFindCommand($client));
        $this->add(new Command\Group\GroupShowCommand($client));
    }

}
